## org.apache.mahout.clustering.dirichlet.models
Class GaussianCluster

    java.lang.Object
      org.apache.mahout.clustering.AbstractCluster
          org.apache.mahout.clustering.dirichlet.models.GaussianCluster

All Implemented Interfaces:
  org.apache.hadoop.io.Writable, Cluster, Model<VectorWritable>

    public class GaussianCluster

extends AbstractCluster

Field Summary

Fields inherited from interface org.apache.mahout.clustering.Cluster
`CLUSTERED_POINTS_DIR, CLUSTERS_DIR, INITIAL_CLUSTERS_DIR`

Constructor Summary
`GaussianCluster()`
`GaussianCluster(Vector point, int id2)`
`GaussianCluster(Vector center, Vector radius, int id)`

Method Summary
`java.lang.String` `getIdentifier()`
`double` `pdf(VectorWritable vw)` Return the probability that the observation is described by this model
`Model<VectorWritable>` `sampleFromPosterior()`

Methods inherited from class org.apache.mahout.clustering.AbstractCluster
`asFormatString, asJsonString, computeCentroid, computeParameters, count, formatVector, getCenter, getId, getNumPoints, getObservations, getRadius, getS0, getS1, getS2, observe, observe, observe, observe, readFields, setCenter, setId, setNumPoints, setRadius, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GaussianCluster

    public GaussianCluster()

### GaussianCluster

    public GaussianCluster(Vector point,
                           int id2)

### GaussianCluster

    public GaussianCluster(Vector center,
                           Vector radius,
                           int id)

Method Detail

### getIdentifier

    public java.lang.String getIdentifier()

  Specified by:
    `getIdentifier` in class `AbstractCluster`

### sampleFromPosterior

    public Model<VectorWritable> sampleFromPosterior()

  Returns:
    a sample of my posterior model

### pdf

    public double pdf(VectorWritable vw)

  Description copied from interface: `Model`
  Return the probability that the observation is described by this model

  Parameters:
    `vw` - an Observation from the posterior
  Returns:
    the probability that x is in the receiver

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.